{ lib, ... }:
{
  imports = [
    ./boot
    ./disko
    ./filesystems
    ./hardware
    ./users
    ../../modules/system
  ];

  networking = {
    hostName = "redmond";
    wireless.enable = true;
    interfaces."wlp1s0".ipv4.addresses = [{
      address = "192.168.2.200";
      prefixLength = 24;
    }];
    defaultGateway = {
      address = "192.168.2.1";
      interface = "wlp1s0";
    };
    wg-quick.interfaces.wgc.address = [ "10.100.0.23/24" ];
  };

  system = {
    desktop.enable = true;
    stateVersion = "24.05";
  };

  services.wireguard.client.enable = true;

  environment.sessionVariables.WLR_RENDERER = lib.mkForce "gles2";
}
